%global debug_package %{nil}  # Builds are only test examples.

%global goipath         github.com/wellington/go-libsass
Version:                0.9.2

%gometa

Name:           %{goname}
Release:        3%{?dist}
Summary:        Go wrapper for libsass
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
# https://github.com/wellington/go-libsass/pull/72
Patch0001:      0001-Use-correct-function-to-unmarshal-Sass-Errors.-72.patch
# https://github.com/wellington/go-libsass/pull/74
Patch0002:      0002-Remove-extra-indirection-in-SafeMap-and-callbacks.patch

BuildRequires:  gcc-c++
BuildRequires:  libsass-devel >= 3.5.4

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: golang(golang.org/x/net/context)
Requires:      gcc-c++
Requires:      libsass-devel >= 3.5.4

%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgeautosetup -p1

# Remove unused file with extra dependencies.
# https://github.com/wellington/go-libsass/commit/0a1f17e219ef0e90b264c1f28a2e314f034f6f58
rm external/types/payload.go

# Remove bundled libsass.
rm -rf libsass-build
rm libs/wrap_main.go
for f in $(find -iname '*_dev.go'); do
    sed -e '/ +build dev/, 1d' $f > $f.new &&
    touch -r $f $f.new &&
    mv $f.new $f
done


%build
%gobuildroot
%gobuild -o _bin/basic %{goipath}/examples/basic
%gobuild -o _bin/customfunc %{goipath}/examples/customfunc
%gobuild -o _bin/custompreamble %{goipath}/examples/custompreamble
%gobuild -o _bin/options %{goipath}/examples/options


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE


%changelog
* Fri Jun 07 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-3
- Add gcc-c++ to Requires

* Sun Feb 17 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-2
- Remove unused file causing extra (auto) dependencies

* Sun Feb 10 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0.9.2-1
- First package for Fedora
